Index: contrib/crossrpms/rtems4.10/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: contrib/crossrpms/rtems4.10/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,15 @@
+# $Id$
+
+SUBDIRS =
+SUBDIRS += arm
+SUBDIRS += avr
+SUBDIRS += bfin
+SUBDIRS += h8300
+SUBDIRS += i386
+SUBDIRS += m68k
+SUBDIRS += mips
+SUBDIRS += mipstx39
+SUBDIRS += powerpc
+SUBDIRS += sh
+SUBDIRS += sparc
+SUBDIRS += tic4x
Index: contrib/crossrpms/rtems4.10/arm/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/arm/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = arm-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/arm/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/arm/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/avr/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/avr/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = avr-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS +=
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/avr/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/avr/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/bfin/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,31 @@
+# $Id$
+
+TARGET = bfin-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS +=
+
+GDB_VERS = 6.5
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 4%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+### bfin's GCC is too broken to be usable
+## CPUKIT_VERS = 4.7.99.1
+## CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+## CPUKIT_RPMREL = 0
+## include ../cpukit.am
+## CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/bfin/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/bfin/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/bfin/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/bfin/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+Patch0:		gdb-6.5-bfinrtems-20071114.diff
Index: contrib/crossrpms/rtems4.10/binutils.am
===================================================================
--- contrib/crossrpms/rtems4.10/binutils.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/binutils.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,31 @@
+EXTRA_DIST += binutils-sources.add
+
+BINUTILS_OPTS =
+
+BINUTILS_SUBPACKAGES = $(top_srcdir)/common/common.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/binutils.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/prep.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/build.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/install.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/rpm-install.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/common/clean.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/target-binutils.add
+BINUTILS_SUBPACKAGES += $(top_srcdir)/binutils/base-binutils.add
+
+$(TARGET)-binutils.spec.in: $(BINUTILS_SUBPACKAGES) Makefile.am $(srcdir)/binutils-sources.add
+	cat $(BINUTILS_SUBPACKAGES) | sed \
+	  -e "/[@]SOURCES[@]/r $(srcdir)/binutils-sources.add" \
+	  -e "/[@]SOURCES[@]/d" \
+	  -e "s/[@]BINUTILS_VERS[@]/$(BINUTILS_VERS)/g" \
+	  -e "s/[@]BINUTILS_PKGVERS[@]/$(BINUTILS_PKGVERS)/g" \
+	  -e "s/[@]BINUTILS_RPMREL[@]/$(BINUTILS_RPMREL)/g" \
+	  -e "/--with-sysroot/d" \
+	  | $(MKSPEC0) > $(TARGET)-binutils.spec.in
+CLEANFILES += $(TARGET)-binutils.spec.in
+
+@rpmprefix@$(TARGET)-binutils.spec: $(TARGET)-binutils.spec.in
+	$(MKSPEC) $(TARGET)-binutils.spec.in | $(SPECSTRIP) $(BINUTILS_OPTS) > $@
+CLEANFILES += @rpmprefix@$(TARGET)-binutils.spec
+noinst_DATA += @rpmprefix@$(TARGET)-binutils.spec
+
+EXTRA_DIST += $(BINUTILS_SUBPACKAGES)
Index: contrib/crossrpms/rtems4.10/cpukit-prep.add
===================================================================
--- contrib/crossrpms/rtems4.10/cpukit-prep.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/cpukit-prep.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,1 @@
+
Index: contrib/crossrpms/rtems4.10/cpukit.am
===================================================================
--- contrib/crossrpms/rtems4.10/cpukit.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/cpukit.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,35 @@
+EXTRA_DIST += $(srcdir)/../rtems-prep.add
+EXTRA_DIST += $(srcdir)/rtems-sources.add
+
+CPUKIT_OPTS =
+
+CPUKIT_SUBPACKAGES = $(top_srcdir)/common/common.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/cpukit.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/prep.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/build.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/install.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/rpm-install.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/common/clean.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/target-cpukit.add
+
+$(TARGET)-cpukit.spec.in: $(CPUKIT_SUBPACKAGES) Makefile.am $(srcdir)/cpukit-sources.add $(srcdir)/../cpukit-prep.add
+	cat $(CPUKIT_SUBPACKAGES) | sed \
+	  -e "/[@]SOURCES[@]/r $(srcdir)/cpukit-sources.add" \
+	  -e "/[@]SOURCES[@]/d" \
+	  -e "/[@]PREP[@]/r $(srcdir)/../cpukit-prep.add" \
+	  -e "/[@]PREP[@]/d" \
+	  -e "s/[@]CPUKIT_VERS[@]/$(CPUKIT_VERS)/g" \
+	  -e "s/[@]CPUKIT_PKGVERS[@]/$(CPUKIT_PKGVERS)/g" \
+	  -e "s/[@]CPUKIT_RPMREL[@]/$(CPUKIT_RPMREL)/g" \
+	  -e "/--with-sysroot/d" \
+	  -e "/[@]tool_target[@]-sys-root/d" \
+	  -e "/[@]tool_target[@]-w32api-sys-root/d" \
+	  | $(MKSPEC0) > $(TARGET)-cpukit.spec.in
+CLEANFILES += $(TARGET)-cpukit.spec.in
+
+@rpmprefix@$(TARGET)-cpukit.spec: $(TARGET)-cpukit.spec.in
+	$(MKSPEC) $(TARGET)-cpukit.spec.in | $(SPECSTRIP) $(CPUKIT_OPTS) > $@
+CLEANFILES += @rpmprefix@$(TARGET)-cpukit.spec
+noinst_DATA += @rpmprefix@$(TARGET)-cpukit.spec
+
+EXTRA_DIST += $(CPUKIT_SUBPACKAGES)
Index: contrib/crossrpms/rtems4.10/gcc-prep.add
===================================================================
--- contrib/crossrpms/rtems4.10/gcc-prep.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/gcc-prep.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,9 @@
+%if "%{gcc_version}" < "4.1.0"
+  sed -e 's/\(version_string.* = \"[^\"]*\)/\1 (RTEMS gcc-%{gcc_version}\/newlib-%{newlib_version}-%release)/' \
+  gcc-%{gcc_pkgvers}/gcc/version.c > gcc-%{gcc_pkgvers}/gcc/version.c~
+%else
+  sed -e 's/^#define VERSUFFIX.*$/#define VERSUFFIX \" (RTEMS gcc-%{gcc_version}\/newlib-%{newlib_version}-%{release})\"/' \
+    gcc-%{gcc_pkgvers}/gcc/version.c > gcc-%{gcc_pkgvers}/gcc/version.c~
+%endif
+  mv gcc-%{gcc_pkgvers}/gcc/version.c~ gcc-%{gcc_pkgvers}/gcc/version.c
+
Index: contrib/crossrpms/rtems4.10/gcc.am
===================================================================
--- contrib/crossrpms/rtems4.10/gcc.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/gcc.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,43 @@
+EXTRA_DIST += $(srcdir)/../gcc-prep.add
+EXTRA_DIST += $(srcdir)/gcc-sources.add
+
+GCC_OPTS = --languages=c --newlib
+
+GCC_SUBPACKAGES = $(top_srcdir)/common/common.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/gccnewlib.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/prep.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/build.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/install.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/rpm-install.add
+GCC_SUBPACKAGES += $(top_srcdir)/common/clean.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/target-gcc.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/base-gcc.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/target-c++.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/target-gfortran.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/base-gfortran.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/target-objc.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/target-newlib.add
+GCC_SUBPACKAGES += $(top_srcdir)/gcc/base-newlib.add
+
+$(TARGET)-gcc.spec.in: $(GCC_SUBPACKAGES) Makefile.am $(srcdir)/gcc-sources.add $(srcdir)/../gcc-prep.add
+	cat $(GCC_SUBPACKAGES) | sed \
+	  -e "/[@]SOURCES[@]/r $(srcdir)/gcc-sources.add" \
+	  -e "/[@]SOURCES[@]/d" \
+	  -e "/[@]PREP[@]/r $(srcdir)/../gcc-prep.add" \
+	  -e "/[@]PREP[@]/d" \
+	  -e "s/[@]GCC_VERS[@]/$(GCC_VERS)/g" \
+	  -e "s/[@]GCC_PKGVERS[@]/$(GCC_PKGVERS)/g" \
+	  -e "s/[@]GCC_RPMREL[@]/$(GCC_RPMREL)/g" \
+	  -e "s/[@]NEWLIB_VERS[@]/$(NEWLIB_VERS)/g" \
+	  -e "/--with-sysroot/d" \
+	  -e "/[@]tool_target[@]-sys-root/d" \
+	  -e "/[@]tool_target[@]-w32api-sys-root/d" \
+	  | $(MKSPEC0) > $(TARGET)-gcc.spec.in
+CLEANFILES += $(TARGET)-gcc.spec.in
+
+@rpmprefix@$(TARGET)-gcc.spec: $(TARGET)-gcc.spec.in
+	$(MKSPEC) $(TARGET)-gcc.spec.in | $(SPECSTRIP) $(GCC_OPTS) > $@
+CLEANFILES += @rpmprefix@$(TARGET)-gcc.spec
+noinst_DATA += @rpmprefix@$(TARGET)-gcc.spec
+
+EXTRA_DIST += $(GCC_SUBPACKAGES)
Index: contrib/crossrpms/rtems4.10/gdb.am
===================================================================
--- contrib/crossrpms/rtems4.10/gdb.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/gdb.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,31 @@
+EXTRA_DIST += gdb-sources.add
+
+GDB_OPTS =
+
+GDB_SUBPACKAGES = $(top_srcdir)/common/common.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/gdb.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/prep.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/build.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/install.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/rpm-install.add
+GDB_SUBPACKAGES += $(top_srcdir)/common/clean.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/target-gdb.add
+GDB_SUBPACKAGES += $(top_srcdir)/gdb/base-gdb.add
+
+$(TARGET)-gdb.spec.in: $(GDB_SUBPACKAGES) Makefile.am $(srcdir)/gdb-sources.add
+	cat $(GDB_SUBPACKAGES) | sed \
+	  -e "/[@]SOURCES[@]/r $(srcdir)/gdb-sources.add" \
+	  -e "/[@]SOURCES[@]/d" \
+	  -e "s/[@]GDB_VERS[@]/$(GDB_VERS)/g" \
+	  -e "s/[@]GDB_PKGVERS[@]/$(GDB_PKGVERS)/g" \
+	  -e "s/[@]GDB_RPMREL[@]/$(GDB_RPMREL)/g" \
+	  -e "/--with-sysroot/d" \
+	  | $(MKSPEC0) > $(TARGET)-gdb.spec.in
+CLEANFILES += $(TARGET)-gdb.spec.in
+
+@rpmprefix@$(TARGET)-gdb.spec: $(TARGET)-gdb.spec.in
+	$(MKSPEC) $(TARGET)-gdb.spec.in | $(SPECSTRIP) $(GDB_OPTS) > $@
+CLEANFILES += @rpmprefix@$(TARGET)-gdb.spec
+noinst_DATA += @rpmprefix@$(TARGET)-gdb.spec
+
+EXTRA_DIST += $(GDB_SUBPACKAGES)
Index: contrib/crossrpms/rtems4.10/h8300/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = h8300-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/h8300/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/h8300/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/i386/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/i386/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = i386-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/i386/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/i386/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/m68k/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = m68k-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}.1
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/m68k/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/m68k/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080628.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/mips/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/mips/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = mips-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/mips/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/mips/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/mipstx39/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mipstx39/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/mipstx39/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mipstx39/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,12 @@
+# $Id$
+
+TARGET = mipstx39-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+# We only want a gdb with a tx39 simulator in it.  We share the other tools
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
Index: contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/powerpc/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = powerpc-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/powerpc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/powerpc/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/sh/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/sh/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = sh-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/sh/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/sh/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/sparc/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = sparc-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/sparc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/sparc/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/sparc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif
Index: contrib/crossrpms/rtems4.10/tic4x/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/tic4x/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/tic4x/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/tic4x/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/tic4x/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/tic4x/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,25 @@
+# $Id$
+
+TARGET = tic4x-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 3.4.6
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 8%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS +=
+
+### rtems doesn't build for the tic4x
+## CPUKIT_VERS = 4.7.99.1
+## CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+## CPUKIT_RPMREL = 0
+## include ../cpukit.am
+## CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/tic4x/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/tic4x/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/tic4x/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/tic4x/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/tic4x/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/tic4x/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/tic4x/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/tic4x/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/tic4x/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,42 @@
+%if "%{gcc_version}" == "3.4.6"
+Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-3.4.6/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-3.4.6-rtems4.9-20071111.diff
+%endif
+%if "%{gcc_version}" == "4.2.3"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
